Bug 1253934 - Please include a static package
Summary: Please include a static package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bzip2
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-15 19:30 UTC by Mark Harfouche
Modified: 2016-01-26 23:33 UTC (History)
4 users (show)

Fixed In Version: bzip2-1.0.6-19.fc24 bzip2-1.0.6-19.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-26 23:33:49 UTC
Type: Bug


Attachments (Terms of Use)
patch for creating a static package (1.50 KB, patch)
2015-08-15 19:30 UTC, Mark Harfouche
no flags Details | Diff

Description Mark Harfouche 2015-08-15 19:30:27 UTC
Created attachment 1063306 [details]
patch for creating a static package

Static libraries are useful in certain cases.

I've attached a patch for creating a static package.

In the meantime, if anybody wants, here is a copr repo with libssh2-static

https://copr.fedoraproject.org/coprs/hmaarrfk/fedora-static/

Comment 1 Jaromír Cápík 2015-08-17 15:53:20 UTC
Hello Mark.

Fedora guidelines strongly encourage package maintainers not to ship static libraries unless a compelling reason exists.

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries

I'd like to know what reason made you to introduce the static bzip2 library.

Please, tell me.

Thanks,
Jaromir.

Comment 2 Mark Harfouche 2015-08-17 17:15:23 UTC
I'm currently working on a project where a statically linked version of qemu would be very helpful.

The reason for this is that I require to chroot and run a qemu executable.
If qemu is not statically linked, I will need to copy in a large (unknown) amount of libraries into the new chroot.

Thanks for your help.


Side note:
I understand the desire to not have static libraries in the -devel packages, but having a seprate -static package is not a big deal. Developers can decide if statically linking is useful for their applications.

As a Fedora user, I find the lack of availability of -static libraries to be a barrier when moving from a Debian based distro.

Is there somewhere I can more formally make this point?

Comment 3 Mark Harfouche 2015-08-17 17:22:51 UTC
An other note, I'm not sure of the necessity of this specific statically linked library for what I need from qemu-arm-static.

You can target this bug against F22. In the case that I don't get back to you with the necessity of this -static package, this bug will be squashed.

Comment 4 Jaromír Cápík 2015-08-17 19:27:09 UTC
(In reply to Mark Harfouche from comment #2)
> As a Fedora user, I find the lack of availability of -static libraries to be
> a barrier when moving from a Debian based distro.
> 
> Is there somewhere I can more formally make this point?

Well, I would start with one of the following three ways ...

1.) Message sent to the fedora devel list

  https://lists.fedoraproject.org/mailman/listinfo/devel


2.) FPC ticket (as FPC determines the packaging guidelines for Fedora)

  https://fedorahosted.org/fpc/


3.) FESCo ticket (as FESCo handles the process of accepting new features)

  https://fedorahosted.org/fesco/


Hard to guess which one is the best ... If you want to discuss the topic, I would start with the devel list.

Comment 5 Mark Harfouche 2015-08-17 21:44:07 UTC
Thanks Jaromir.

Comment 6 Jaromír Cápík 2015-12-08 15:15:01 UTC
We have one more user asking for bzip2-static. I'm building the package.

Comment 7 Jaromír Cápík 2015-12-08 15:25:09 UTC
Merging to f23 as it is requested there.

Comment 8 Fedora Update System 2015-12-08 15:30:26 UTC
bzip2-1.0.6-19.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-be3a6f6ed8

Comment 9 Fedora Update System 2015-12-08 22:57:14 UTC
bzip2-1.0.6-19.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update bzip2'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-be3a6f6ed8

Comment 10 Fedora Update System 2015-12-11 01:50:53 UTC
bzip2-1.0.6-19.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Andre Robatino 2016-01-14 12:18:20 UTC
This needed to be reopened (not sure if ON_QA is the correct status - please change if necessary) since -19 is no longer in F23 stable (see https://bugzilla.redhat.com/show_bug.cgi?id=1292914#c5 ). I would recommend you ask dgilmore to fix, rather than push a bumped version, as the libpng packager did, so as to avoid having to do testing over again.


Note You need to log in before you can comment on or make changes to this bug.